# wxTreeItemId Class Reference
[Data Structures]

`#include </home/work/projects/wx/2.9/wx/interface/wx/treebase.h>`

## Detailed Description

An opaque reference to a tree item.

##

Library: wxCore
Category: Data Structures

See also:
  wxTreeCtrl, wxTreeItemData, wxTreeCtrl Overview

## Public Member Functions

| wxTreeItemId ()
| Default constructor.
bool | IsOk () const
| Returns true if this instance is referencing a valid tree item.
bool | operator! () const
| Antonym of IsOk(), i.e.
bool | operator== (const wxTreeItemId &item) const
| Operators for comparison between wxTreeItemId objects.
bool | operator!= (const wxTreeItemId &item) const
| Operators for comparison between wxTreeItemId objects.

List of all members.

## Constructor & Destructor Documentation

wxTreeItemId::wxTreeItemId | ( |  | ) |

Default constructor.

A wxTreeItemId is not meant to be constructed explicitly by the user; only those returned by the wxTreeCtrl functions should be used.

## Member Function Documentation

bool wxTreeItemId::IsOk | ( |  | ) | const

Returns true if this instance is referencing a valid tree item.

bool wxTreeItemId::operator! | ( |  | ) | const

Antonym of IsOk(), i.e.

returns true only if the item is not valid.

bool wxTreeItemId::operator!= | ( | const wxTreeItemId & | item | ) | const

Operators for comparison between wxTreeItemId objects.

bool wxTreeItemId::operator== | ( | const wxTreeItemId & | item | ) | const

Operators for comparison between wxTreeItemId objects.

|  | [ top ]